{
  description                           =   "Sivizius’ profiles.";
  inputs
  =   {
        libcore.url                     =   "github:sivizius/nixfiles/development?dir=libs/core";
        libconfig.url                   =   "github:sivizius/nixfiles/development?dir=libs/config";
        nixpkgs.url                     =   "github:sivizius/nixpkgs/master";
        services.url                    =   "github:sivizius/nixfiles/development?dir=services";
      };
  outputs
  =   { self, libcore, libconfig, nixpkgs, services, ... }:
        let
          core                          =   libcore.lib   { inherit self; debug.logLevel = "info"; };
          config                        =   libconfig.lib { inherit self; };
          legacyProfiles
          =   config.profiles.importLegacy { inherit nixpkgs; }
              [
                "all-hardware"
                "base"
                "clone-config"
                "demo"
                "docker-container"
                "graphical"
                "hardened"
                "headless"
                "installation-device"
                "minimal"
                "qemu-guest"
              ];
          profiles
          =   legacyProfiles
          //  (
                config.profiles.load ./.
                {
                  inherit core profiles;
                  inherit(services) services;
                }
              );
        in
        {
          profiles
          =   core.debug.debug "profiles"
              {
                nice                    =   true;
                show                    =   true;
                when = false;
              }
              profiles;
        };
}
